Server Connection Policies - Get
サーバーのセキュリティで保護された接続ポリシーを取得します。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/connectionPolicies/default?api-version=2014-04-01
URI パラメーター
| Name | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
connection
|
path | True |
接続ポリシーの名前。 |
|
|
resource
|
path | True |
string |
リソースを含むリソース グループの名前。 この値は、Azure Resource Manager API またはポータルから取得できます。 |
|
server
|
path | True |
string |
サーバーの名前。 |
|
subscription
|
path | True |
string |
Azure サブスクリプションを識別するサブスクリプション ID。 |
|
api-version
|
query | True |
string |
要求に使用する API バージョン。 |
応答
| Name | 型 | 説明 |
|---|---|---|
| 200 OK |
わかりました |
例
Get a server's secure connection policy
要求のサンプル
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-1234/providers/Microsoft.Sql/servers/test-5678/connectionPolicies/default?api-version=2014-04-01
応答のサンプル
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-1234/providers/Microsoft.Sql/servers/test-5678/connectionPolicies/default",
"name": "default",
"type": "Microsoft.Sql/servers/connectionPolicies",
"location": "West US",
"kind": null,
"properties": {
"connectionType": "Default"
}
}
定義
| Name | 説明 |
|---|---|
|
Connection |
接続ポリシーの名前。 |
|
Server |
サーバーのセキュリティで保護された接続ポリシー。 |
|
Server |
サーバー接続の種類。 |
ConnectionPolicyName
接続ポリシーの名前。
| 値 | 説明 |
|---|---|
| default |
ServerConnectionPolicy
サーバーのセキュリティで保護された接続ポリシー。
| Name | 型 | 説明 |
|---|---|---|
| id |
string |
リソース ID。 |
| kind |
string |
Azure portal エクスペリエンスに使用されるメタデータ。 |
| location |
string |
リソースの場所。 |
| name |
string |
リソース名。 |
| properties.connectionType |
サーバー接続の種類。 |
|
| type |
string |
リソースの種類。 |
ServerConnectionType
サーバー接続の種類。
| 値 | 説明 |
|---|---|
| Default | |
| Proxy | |
| Redirect |